#include "SiteServer.h"

Passer::Control::SiteServer::SiteServer(int port) {
  this->name = "Site Server";

  this->ipAddress = "0.0.0.0";
  this->port = port;
}

void Passer::Control::SiteServer::Update(unsigned long currentTimeMs) {
  Thing::UpdateAll(currentTimeMs);
}

void Passer::Control::SiteServer::Process(Participant *sender, ClientMsg *msg) {
  if (msg->networkId == 0) {
    std::cout << this->name << " received New Client -> " << sender->networkId
              << "\n";
  }
}

void Passer::Control::SiteServer::Process(Participant *sender,
                                          NetworkIdMsg *msg) {}
